@section('requests_src')
source {{ $index_prefix }}requests_src
{
@yield('connection')

    sql_query_range     = SELECT MIN({{ $xrequest }}), MAX({{ $xrequest }}) FROM {{ $hs_request }}
    sql_range_step      = 5000

    sql_query           = \
    SELECT {{ $xrequest }}*10+1 as id, {{ $xrequest }}, 0 as {{ $xrequesthistory }}, {{ $xcategory }}, \
    {{ $stitle }}, {{ $sfirstname }}, {{ $slastname }}, {{ $semail }}, {{ $sphone }}, {{ $suserid }}, {{ $xpersonassignedto }}, \
    {{ $dtgmtopened }} as created_at, \
    {{ $custom_fields }} \
    '' as {{ $tnote }} \
    FROM {{ $hs_request }} \
    WHERE {{ $xrequest }} >= $start AND {{ $xrequest }} <= $end

    sql_attr_uint       = xRequest
    sql_attr_uint       = xRequestHistory
    sql_attr_uint       = xCategory
    sql_attr_uint       = xPersonAssignedTo
    sql_attr_timestamp  = created_at

    sql_ranged_throttle = 0

    @foreach($post_query as $query)
sql_query_post_index       = {{ $query }}

    @endforeach
}

source {{ $index_prefix }}requests_src_delta : {{ $index_prefix }}requests_src
{
    sql_query_range     = {{ $delta_range }}
    sql_range_step      = 5000

    sql_query           = \
    SELECT {{ $xrequest }}*10+1 as id, {{ $xrequest }}, 0 as {{ $xrequesthistory }}, {{ $xcategory }}, \
    {{ $stitle }}, {{ $sfirstname }}, {{ $slastname }}, {{ $semail }}, {{ $sphone }}, {{ $suserid }}, {{ $xpersonassignedto }}, \
    {{ $dtgmtopened }} as created_at, \
    {{ $custom_fields }} \
    '' as {{ $tnote }} \
    FROM {{ $hs_request }} \
    WHERE {{ $xrequest }} > $start AND {{ $xrequest }} <= $end
}
@stop